-- Localized Functions for the European Version
-- Outsorced functions:
-- _GFind

if ( GetLocale() == "deDE" or GetLocale() == "enGB" or GetLocale() == "enUS" or GetLocale() == "frFR") then

	function CEnemyCastBar_Gfind_PvP(arg1, event) --Gfind_PvP

		for mob, spell in string.gmatch(arg1, CEnemyCastBar_SPELL_CAST) do
				
			CEnemyCastBar_Control(mob, spell, "casts", nil, event);
			return;
		end	
		
		for mob, spell in string.gmatch(arg1, CEnemyCastBar_SPELL_PERFORM) do
				
			CEnemyCastBar_Control(mob, spell, "performs", nil, event);
			return;
		end
	
		for mob, spell in string.gmatch(arg1, CEnemyCastBar_SPELL_GAINS) do
				
			CEnemyCastBar_Control(mob, spell, "gains", nil, event);
			return;
		end

		--instant casts since 6.1.2+ (PvE will load PvP anyway ;-))
		for mob, spell in string.gmatch(arg1, CEnemyCastBar_SPELL_CASTS) do
			CEnemyCastBar_Control(mob, spell, "instcast", nil, event);
			return;
		end

		-- specials
		for mob in string.gmatch(arg1, CEnemyCastBar_MOB_KILLED) do
			-- check if spell has been learned
			if (SpellHasRange(NECB_Victory_Rush) -- warriors
				and CEnemyCastBar.bPvP
				and CEnemyCastBar_Spells[NECB_Victory_Rush]
				and not CEnemyCastBar_Spells[NECB_Victory_Rush].disabled
				and not (UnitName("target") == mob and UnitIsTrivial("target"))
			) then
				--shedule, because the client needs some time to update 'IsUsableSpell' status
				necb_fauxtimer = {GetTime(), nil, nil, nil, 1, "VictoryRush"};
				CECBFauxFrameButton:Show();
			end
			return;
		end
	end

end